import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Report extends SfdxCommand {
    protected static requiresUsername: boolean;
    static description: string;
    static longDescription: string;
    static examples: string[];
    static readonly flagsConfig: {
        testrunid: flags.Discriminated<flags.String>;
        json: flags.Discriminated<flags.Boolean<boolean>>;
        loglevel: flags.Discriminated<flags.Enum<string>>;
        apiversion: flags.Builtin;
        codecoverage: flags.Discriminated<flags.Boolean<boolean>>;
        outputdir: flags.Discriminated<flags.String>;
        resultformat: flags.Discriminated<flags.Enum<string>>;
        wait: flags.Discriminated<flags.String>;
        verbose: flags.Builtin;
    };
    run(): Promise<AnyJson>;
    private logHuman;
    private logTap;
    private logJUnit;
    private formatResultInJson;
    private formatReportHint;
}
