import { TestResult, TestRunIdResult, OutputDirConfig, ResultFormat } from '@salesforce/apex-node';
import { CliJsonFormat } from './jsonReporter';
/**
 * Builds output directory configuration with CLI format result files
 * @param result Test results from async/sync test run
 * @param jsonOutput JSON CLI format of test results
 * @param outputDir Output directory for result files
 * @param resultFormat Result format for output files
 * @param detailedCoverage Boolean to control detailed coverage reporting
 * @param synchronous Whether the test run was synchronous
 * @returns Output directory configuration
 */
export declare function buildOutputDirConfig(result: TestResult | TestRunIdResult, jsonOutput: CliJsonFormat | TestRunIdResult, outputDir: string, resultFormat: ResultFormat | undefined, detailedCoverage: boolean, synchronous?: boolean): OutputDirConfig;
